#
# spec file for package locale-formula
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           locale-formula
Version:        0.3
Release:        220400.1.1.uyuni2
Summary:        Locale Salt Formula for SUSE Manager
Url:            https://github.com/SUSE/salt-formulas
Requires:       salt-master
License:        GPL-3.0
Group:          System/Management
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

# This would be better with a macro that just strips "-formula" from {name}
%define fname locale

%description
Salt Formula for SUSE Manager. Sets up the locale.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/share/susemanager/formulas/states/%{fname}
mkdir -p %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}
cp -R states/* %{buildroot}/usr/share/susemanager/formulas/states/%{fname}
cp -R metadata/* %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}

%files
%defattr(-,root,root,-)
%doc README.rst COPYING
/usr/share/susemanager

%changelog
* Thu Sep 15 2022 Witek Bedyk <witold.bedyk@suse.com>
- Update to version 0.3
  * Remove .map.gz from kb_map dictionary (bsc#1203406)
* Thu May 11 2017 mc@suse.de
- remove documentation links which point to developer-only wiki
  (bsc#1033341)
* Fri Mar  3 2017 mseidl@suse.de
- (bsc#1027642) Changed ids to avoid conflicts
* Tue Feb  7 2017 mseidl@suse.de
- Add missing group spec file
* Sun Feb  5 2017 mseidl@suse.de
- Updated files with gpl header + copying file
* Fri Feb  3 2017 mseidl@suse.de
- Fixed spec file and changed file layout in src
* Fri Feb  3 2017 mseidl@suse.de
- Initial commit
